Package org.eclipse.birt.report.model.api

# Class ModelException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.report.model.api.ModelException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DesignFileException`, `MetaDataReaderException`, `SemanticException`, `StyleSheetException`, `StyleSheetParserException`

public abstract class ModelException extends org.eclipse.birt.core.exception.BirtException
Implementation of BirtException in model project.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PLUGIN_ID`
The plugin id of all the model exceptions.

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`ModelException(String errCode)`
Constructs a new model exception with the error code.
`ModelException(String errCode, String[] args, Throwable cause)`
Constructs a new model exception with the error code, string arguments used to format error messages and the nested exception.
`ModelException(String pluginId, String errorCode, Object[] args, Throwable cause)`
Constructs a new model exception.
`ModelException(String pluginId, String errorCode, Object[] args, ResourceBundle bundle)`
Constructs a new model exception.
`ModelException(String pluginId, String errorCode, Object[] args, ResourceBundle bundle, Throwable cause)`
Constructs a new model exception.
`ModelException(String pluginId, String errorCode, Object arg0, ResourceBundle bundle)`
Constructs a new model exception.
`ModelException(String pluginId, String errorCode, Object arg0, ResourceBundle bundle, Throwable cause)`
Constructs a new model exception.
`ModelException(String pluginId, String errorCode, ResourceBundle bundle)`
Constructs a new model exception with no cause object.
`ModelException(String pluginId, String errorCode, ResourceBundle bundle, Throwable cause)`
Constructs a new model exception.

## Method Summary

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getErrorCode, getLocalizedMessage, getLocalizedMessage, getMessage, getPluginId, getSeverity, setSeverity`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PLUGIN_ID

public static final String PLUGIN_ID
The plugin id of all the model exceptions.

See Also:
  - Constant Field Values

## Constructor Details

### ModelException

public ModelException(String errCode)
Constructs a new model exception with the error code.

Parameters:
  `errCode` - used to retrieve a piece of externalized message displayed to end user

### ModelException

public ModelException(String errCode, String[] args, Throwable cause)
Constructs a new model exception with the error code, string arguments used to format error messages and the nested exception.

Parameters:
  `errCode` - used to retrieve a piece of externalized message displayed to end user
  `args` - string arguments used to format error messages
  `cause` - the nested exception

### ModelException

public ModelException(String pluginId, String errorCode, ResourceBundle bundle)
Constructs a new model exception with no cause object.

Parameters:
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `bundle` - the resourceBundle used to translate the message.

### ModelException

public ModelException(String pluginId, String errorCode, ResourceBundle bundle, Throwable cause)
Constructs a new model exception.

Parameters:
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `bundle` - the resourceBundle used to translate the message.
  `cause` - the nested exception

### ModelException

public ModelException(String pluginId, String errorCode, Object[] args, ResourceBundle bundle, Throwable cause)
Constructs a new model exception.

Parameters:
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `args` - string arguments used to format error messages
  `bundle` - the resourceBundle used to translate the message.
  `cause` - the nested exception

### ModelException

public ModelException(String pluginId, String errorCode, Object arg0, ResourceBundle bundle, Throwable cause)
Constructs a new model exception.

Parameters:
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `arg0` - first argument used to format error messages
  `bundle` - the resourceBundle used to translate the message.
  `cause` - the nested exception

### ModelException

public ModelException(String pluginId, String errorCode, Object[] args, ResourceBundle bundle)
Constructs a new model exception.

Parameters:
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `args` - string arguments used to format error messages
  `bundle` - the resourceBundle used to translate the message.

### ModelException

public ModelException(String pluginId, String errorCode, Object arg0, ResourceBundle bundle)
Constructs a new model exception.

Parameters:
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `arg0` - first argument used to format error messages
  `bundle` - the resourceBundle used to translate the message.

### ModelException

public ModelException(String pluginId, String errorCode, Object[] args, Throwable cause)
Constructs a new model exception.

Parameters:
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `args` - string arguments used to format error messages
  `cause` - the nested exception